## debmake 4.1.4

=== Makefile ===
# This directory contents are generated before packaging
# since some parts require remote http connection.
#
# all: target to export results (doc+tar) to python doc side.
# all: target to export doc to python doc side.
# tar: target to export doc to python doc side.
#
# ref: build reference data (overwrite)
# cmp: build as comparison to the ref

LIST_LOCAL := $(shell ls -1d hello*)
LIST_REMOTE := $(shell ls -1d remote*)
LIST := $(LIST_LOCAL) $(LIST_REMOTE)

all:
	$(MAKE) clean
	$(MAKE) ref
	$(MAKE) doc

remote:
	$(MAKE) clean
	$(MAKE) -C doc remote

doc:
	$(MAKE) clean
	$(MAKE) -C doc
	cp -f doc/debmake.html ../doc/debmake.html
	cp -f doc/maint-guide.html ../doc/maint-guide.html
	cp -f doc/debmake.1 ../manpages/debmake.1
	$(MAKE) clean
	$(MAKE) tar

check: check_LOCAL check_REMOTE
ref: ref_LOCAL ref_REMOTE
cmp: cmp_LOCAL cmp_REMOTE

check_LOCAL:
	@echo "$(LIST_LOCAL)"

ref_LOCAL:
	for i in $(LIST_LOCAL) ; do  $(MAKE) -C $$i ref ; echo "I: $$i done" ; done

cmp_LOCAL:
	for i in $(LIST_LOCAL) ; do  $(MAKE) -C $$i cmp ; echo "I: $$i done" ; done

check_REMOTE:
	@echo "$(LIST_REMOTE)"

ref_REMOTE:
	for i in $(LIST_REMOTE) ; do  $(MAKE) -C $$i ref ; echo "I: $$i done" ; done

cmp_REMOTE:
	for i in $(LIST_REMOTE) ; do  $(MAKE) -C $$i cmp ; echo "I: $$i done" ; done

step%.log: step%.cmd
	./$^ >$@

tar:
	tar -cvJf ../doc/examples.tar.xz ../test

clean:
	for i in doc $(LIST) ; do  $(MAKE) -C $$i clean ; echo "I: $$i done" ; done
	-rm -rf ../dist ../debmake/__pycache__

.PHONY: all ref cmp doc clean check tar
.PHONY: check_LOCAL check_REMOTE ref_LOCAL ref_REMOTE cmp_LOCAL cmp_REMOTE

=== doc/Makefile ===
MANUAL1 = debmake
MANUAL2 = maint-guide
GENTXT = 99-manpage.txt binary.txt caveat.txt
ALLTXT = $(wildcard *.txt) $(GENTXT)
DATE = $(shell date +%F)
VERSION = 2.0~pre1

all: man html

99-manpage.txt: manpage.txt
	sed -e 's/^= DEBMAKE(1)$$/= *debmake*(1) manpage/' -e 's/^=/==/' manpage.txt >99-manpage.txt

binary.txt: manpage.txt
	sed -n -e '/^\*-b\*/,$$p' manpage.txt | sed -e '/^\*-e\*/,$$d'>binary.txt

caveat.txt: manpage.txt
	sed -e '1,/^== CAVEAT/d' manpage.txt | sed -e '/^== DEBUG/,$$d'>caveat.txt

html: $(MANUAL1).html $(MANUAL2).html

%.html: %.txt $(GENTXT) .FORCE
	asciidoc -a toc2 -a 'newline=\n' -a "revision=$(VERSION)" -a date=$(DATE) $<

man: debmake.1

debmake.1: manpage.txt
	a2x --doctype manpage --format manpage manpage.txt

clean:
	-rm -f $(GENTXT)
	-rm -f *.html
	-rm -f debmake.1
	-rm -f *~

remote: new
	scp $(MANUAL1).html people.debian.org:~osamu/public_html/$(MANUAL1).html
	scp $(MANUAL2).html people.debian.org:~osamu/public_html/$(MANUAL2).html

list:
	echo $(ALLTXT)

new:
	$(MAKE) clean
	$(MAKE) all

.FORCE:

.PHONY: all html man clean new remote

=== hello-c-1.0/Makefile ===
# Generic build script
DEBEMAIL=email.address@example.org
DEBFULLNAME="Firstname Lastname"
export DEBEMAIL DEBFULLNAME
BASEDIR=$(CURDIR)
TESTDIR=$(CURDIR)/test
REFDIR=$(CURDIR)/ref
COMMONDIR=$(abspath $(CURDIR)/..)
PATH := $(COMMONDIR)/bin:$(PATH)
PROJECT=$(shell echo $(notdir $(CURDIR))|sed -e 's/_.*$$//' -e 's/-fail-/-/' )
PROJECTDIR=$(TESTDIR)/$(PROJECT)
TERM=dumb
TREE_COLORS=
LS_COLORS=
CDPATH=
FILTER =s/\(^...........................................................................\).*$$/\1.../
export BASEDIR TESTDIR REFDIR COMMONDIR PATH PROJECT PROJECTDIR TREE_COLORS LS_COLORS TERM CDPATH

steps = $(patsubst %.cmd, %, $(shell ls *.cmd))


all: cmp

test:
	echo $(BASEDIR) > $(BASEDIR)/next.dir
	echo $(PROJECT) > $(BASEDIR)/project
	for i in $(steps) ; do \
	cd $$(cat $(BASEDIR)/next.dir) >/dev/null ; \
	export PROJECT="$$(cat $(BASEDIR)/project)" ; \
	script -e -q -c $(BASEDIR)/$$i.cmd $(BASEDIR)/$$i.raw ; \
	ERR=$$? ; \
	sed -e '1d' $(BASEDIR)/$$i.raw | col -b -x | \
	sed -e 's#$(TESTDIR)#/path/to#g' | \
	sed -e '$(FILTER)' > $(BASEDIR)/$$i.log ; \
	if [ x$$ERR != x0 ]; then exit 1 ; fi ; \
	done

# no more sed
#	-e 's#osamu#user#g' -e 's/\&/\&amp;/g' -e 's/</\&lt;/g' -e 's/>/\&gt;/g' -e 's/\\/\\\\/g' 

cmp: test
	:>result.diff
	{ for i in $(steps) ; do  if diff -u ref/$$i.log $$i.log >>result.diff; then echo "$$i: good" ; else echo "$$i: changed" ; fi ;  done } >result.log

ref: test
	rm -rf ref
	mkdir ref
	for i in $$(ls *.log) ; do  cp $$i ref/$$i ; echo "I: $$i copied" ; done

step%.log: step%.cmd
	./$^ >$@

clean:
	rm -rf $(TESTDIR)
	-rm -f *.log *.raw
	-rm -f result.diff
	-rm -f ref/result.log
	-rm -rf next.dir project

.PHONY: all test cmp ref clean

=== debian/changelog ===
debmake (4.1.4-1) unstable; urgency=medium

  * Use pybuild for python3. Closes: #704469
  * Support setuptools for python/python3.
  * Support autogen.sh for autoreconf.
  * Refine export and override.

 -- Osamu Aoki <osamu@debian.org>  Mon, 04 Aug 2014 00:42:04 +0900

debmake (4.1.3-1) unstable; urgency=medium

  * Include maint-guide.html in package. 

 -- Osamu Aoki <osamu@debian.org>  Sat, 26 Jul 2014 00:33:04 +0900

debmake (4.1.2-1) unstable; urgency=medium

  * Refine the binNMU safe version range (analyze.py).
  * Support the DFSG packaging via uscan+copyright.
  * Extract copyright from texinfo.tex.
  * Warn (not fail) for the broken order in the debian/copyright
    for the -k option.
  * Support autoconf exception for GPL-3.0+.
  * Update the document and split it into 2.
    - Debmake tutorial: debmake.html
    - Debian Maintainers' Guide with debmake: maint-guide.html

 -- Osamu Aoki <osamu@debian.org>  Sat, 19 Jul 2014 14:28:40 +0900

debmake (4.1.1-1) unstable; urgency=medium

  * Support non-currentdir tarball. Closes: #752206
  * Case insensitive license check. 

 -- Osamu Aoki <osamu@debian.org>  Tue, 01 Jul 2014 23:44:40 +0900

debmake (4.1.0-1) unstable; urgency=medium

  * Rewrite license scanner scripts and improved DEP-5 compliance 
    for the exception.
  * Add experimental debian/copyright verification (-k) support.
  * Skip dh_auto_test for -j.
  * Skip license scan for XML/HTML files.
  * Use /usr/share/dpkg/default.mk in debian/rules.

 -- Osamu Aoki <osamu@debian.org>  Fri, 13 Jun 2014 00:53:08 +0900

debmake (4.0.10-1) unstable; urgency=medium

  * Set Build-Depends to python3-all. Closes: #743090
  * Run dpkg-depcheck with -j also for the single binary
  * Allow empty archive (E:->W:)
  * Support dh_systemd etc.
  * Documentation updates.
  * Improve DEP-5 compliance with internally implemented license 
    check script lc.py.

 -- Osamu Aoki <osamu@debian.org>  Thu, 03 Apr 2014 01:26:21 +0900

debmake (4.0.9-1) unstable; urgency=medium

  * Fix regression of 4.0.8 for -d and add safegurd of VCS for untar.
    Closes: #739692
  * Introduce javahelper and gem2deb support.
  * Support configure.in.
  * -yy is always no.
  * Add ${shlibs:Depends} for bin and lib
  * Support URL for -a
  * Support package description from the upstream -s
  * Update package dependency.
  * Clean up generated files.
  * Add HTML documentation (not finished but useful).

 -- Osamu Aoki <osamu@debian.org>  Tue, 25 Feb 2014 01:09:15 +0900

debmake (4.0.8-1) unstable; urgency=medium

  * Update dependency huristics and --with.  python2 is set 
    only for compat < 9.
  * Improve upstream tarball handling to make -a to work with 
    foo-1.0.orig.tar.gz
  * Perl module build improvements such as -d to cope with
    Foo-1.0.tar.gz and Foo-1.0/ .  Also, move the parent 
    directory to package-version/ in the lower case.
  * Udate manpage to document examples, character limitations,
    etc. with bullet list.

 -- Osamu Aoki <osamu@debian.org>  Sun, 09 Feb 2014 00:57:12 +0900

=== debian/control ===
Source: debmake
Section: devel
Priority: extra
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>=9), dh-python, python3-all
Standards-Version: 3.9.5
Homepage: http://anonscm.debian.org/gitweb/?p=collab-maint/debmake.git
Vcs-Git: git://anonscm.debian.org/collab-maint/debmake.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/debmake.git

Package: debmake
Architecture: all
Multi-Arch: foreign
Depends: devscripts, dpkg-dev, rsync, ${misc:Depends}, ${python3:Depends}
Recommends: build-essential, strace, wget | curl
Suggests: autotools-dev,
          cmake,
          dh-autoreconf,
          dh-python,
          gem2deb,
          javahelper,
          rpm2cpio
Description: helper script to make the Debian source package
 This package helps you to convert an upstream source package (or VCS contents)
 into the Debian package by adding files required for the Debian source
 package.  The generated debian/rules file uses the new dh command syntax from
 the debhelper (>=9) package.
 .
 The debmake command invoked in the upstream source tree without any option can
 generate files which is good enough to create a single arch=any Debian binary
 package for local use without touching them.  The generated files should be
 edited to make it conform to the Debian policy if the package is to be
 uploaded to the Debian archive.  By adding few options, this command can
 generate template files for the arbitrary combination of the multi-binary and
 multi-arch package, etc.  This includes making of the rules file for the -dbg
 package and the control file for the multi-arch library package.
 .
 This debmake command also scans copyright and license texts in the source
 files to help crafting the proper DEP-5 compatible debian/copyright file.
 It runs licensecheck(1) and do much more.

## debmake 4.1.7

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,11 @@
 	$(MAKE) clean
 	$(MAKE) ref
 	$(MAKE) doc
+
+pkg:
+	sudo apt-get update
+	sudo apt-get build-dep debmake
+	sudo apt-get install asciidoc tree dh-autoreconf dh-python
 
 remote:
 	$(MAKE) clean

=== base/hello-1.1/Makefile ===
all: hello

hello: hello.c
	gcc -Wall -o hello hello.c

install: hello hello.data
	install -D hello $(DESTDIR)/usr/bin/hello
	install -D hello-sh $(DESTDIR)/usr/bin/hello-sh
	install -D hello.data $(DESTDIR)/usr/share/hello/hello.data

clean:
	-rm -f hello

distclean: clean

.PHONY: all install clean distclean

=== debian/changelog ===
debmake (4.1.7-2) unstable; urgency=medium

  * Add sanity check for copyright lines. Closes: #767666
  * Update template for autogen.sh. Closes: #771920
  * Work around os.getlogin. Closes: #769392
  * Update documentstion. Closes: #769392

 -- Osamu Aoki <osamu@debian.org>  Thu, 04 Dec 2014 00:01:00 +0900

debmake (4.1.7-1) unstable; urgency=medium

  * Minor adjustment to debian/rules template etc. for
    #763535.

 -- Osamu Aoki <osamu@debian.org>  Tue, 14 Oct 2014 00:25:34 +0900

debmake (4.1.6-1) unstable; urgency=medium

  * Adjust comments and documentation per further discussion on 
    #763535.

 -- Osamu Aoki <osamu@debian.org>  Mon, 13 Oct 2014 22:15:24 +0900

debmake (4.1.5-1) unstable; urgency=medium

  * Add suggests for programs used in the documentation.
  * Mark tutorial content lines with ### with warnings to remove 
    them before uploading to the archive.  Add -Q option to do without
    tutorial content lines.  Closes: #763535

 -- Osamu Aoki <osamu@debian.org>  Mon, 13 Oct 2014 00:40:53 +0900

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,21 @@
 Depends: devscripts, dpkg-dev, rsync, ${misc:Depends}, ${python3:Depends}
 Recommends: build-essential, strace, wget | curl
 Suggests: autotools-dev,
+          ccache,
           cmake,
+          cowbuilder,
           dh-autoreconf,
           dh-python,
+          eatmydata,
           gem2deb,
+          git,
+          git-buildpackage,
+          gitk,
           javahelper,
+          lintian,
+          mc,
+          pbuilder,
+          quilt,
           rpm2cpio
 Description: helper script to make the Debian source package
  This package helps you to convert an upstream source package (or VCS contents)

## debmake 4.2.2

=== debian/changelog ===
debmake (4.2.2-1) unstable; urgency=medium

  * Typo fix: Closes: #793654 
  * Do not exclude files agressively with "rsync -C".

 -- Osamu Aoki <osamu@debian.org>  Fri, 14 Aug 2015 19:21:43 +0000

debmake (4.2.1-1) unstable; urgency=medium

  * Force to use UTF-8 even in C locale. Closes: #783243
  * Stop debmake -t if .pc directory exists. Closes: #786878
  * Manpage refer to the debmake-doc package.

 -- Osamu Aoki <osamu@debian.org>  Wed, 27 May 2015 22:31:16 +0900

debmake (4.2.0-1) unstable; urgency=medium

  * Allow single -dbg package case for bin+lib > 1.
  * Fix copyright holder list generation. Closes: #782850 
  * Delayed execution of dpkg-buildflags to make DEB_*_MAINT_APPEND
    effective is activated only for Vala.
  * No more CPPFLAGS workaround for cmake.
  * Make template file messages more consistent.
  * -b option argument drops white spaces .
  * Refine the auto-generated file handling.

 -- Osamu Aoki <osamu@debian.org>  Sun, 19 Apr 2015 12:39:55 +0900

debmake (4.1.8-1) experimental; urgency=medium

  * Split out debmake-doc for stretch.
  * Support "make install --prefix=/usr" for Makefile as comment. 
  * Drop -Q option and introduce -P and -T options.
  * Treat permissive auto-generated files wisely.  Closes: #780134
  * -k deals _SAME_ license case wisely.  Closes: #780135
  * Package type "" defaults to bin.  Closes: #780136
  * Use single # for tutorial content lines and clean them.

 -- Osamu Aoki <osamu@debian.org>  Mon, 15 Dec 2014 06:41:15 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>=9), dh-python, python3-all
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://anonscm.debian.org/gitweb/?p=collab-maint/debmake.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/debmake.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/debmake.git
@@ -43,8 +43,8 @@
  uploaded to the Debian archive.  By adding few options, this command can
  generate template files for the arbitrary combination of the multi-binary and
  multi-arch package, etc.  This includes making of the rules file for the -dbg
- package and the control file for the multi-arch library package.
+ package and the control file for the multiarch library package.
  .
  This debmake command also scans copyright and license texts in the source
  files to help crafting the proper DEP-5 compatible debian/copyright file.
- It runs licensecheck(1) and do much more.
+ It does more than what licensecheck(1) offers.

=== debian/rules ===
#!/usr/bin/make -f
# uncomment to enable verbose mode for debhelper
#DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

## debmake 4.2.6

=== debian/changelog ===
debmake (4.2.6-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 15 Sep 2016 14:10:28 -0700

debmake (4.2.6-1) unstable; urgency=medium

  * Split core part of copyright.py as checkdep5.py
  * Refine regex for format in checkdep5.py
  * Update full license output format in checkdep5.py
  * Rewrite parse_lines logic in checkdep5.py
  * Allow bigger head and tail junk chars in lc.py
  * Refine and add test cases such as SGI-* license
  * Add test1 target for Makefile
  * Support compression types for setup.py

 -- Osamu Aoki <osamu@debian.org>  Mon, 13 Jun 2016 23:33:24 +0900

debmake (4.2.5-1) unstable; urgency=medium

  * Sort copyright by name. 
  * Require LICENSE files to be real file. Closes: Closes: #819054
  * Prety print .FULL_LICENSE test output of copyright.py.
  * Fix slow regex for year/name split in the copyright line.
  * Drop consecutive blank lines.
  * Refine copyright and license extractor.
  * Add new non-ASCII and binary detector.
  * Build test with FULL_LICENSE test output. 
  * Update manpage to mention licensecheck.
  * Allow C++ and C comment lines to be mixed.  Closes: #819321

 -- Osamu Aoki <osamu@debian.org>  Fri, 25 Mar 2016 23:28:49 +0900

debmake (4.2.4-1) unstable; urgency=medium

  * Fix license attribute (old FSF address).
  * Add test case and refine license parse logic.

 -- Osamu Aoki <osamu@debian.org>  Mon, 21 Mar 2016 02:34:35 +0900

debmake (4.2.3-1) unstable; urgency=medium

  * Use Expat over MIT.  Closes: #815182
  * Check additional terms like EFI exception and detect openSSL.
    Closes: #805130
  * Fix bugs for GPL autoconf exception.  #815621
  * Add self test suite.

 -- Osamu Aoki <osamu@debian.org>  Sun, 20 Mar 2016 22:38:08 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: debmake
 Section: devel
 Priority: extra
-Maintainer: Osamu Aoki <osamu@debian.org>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>=9), dh-python, python3-all
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://anonscm.debian.org/gitweb/?p=collab-maint/debmake.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/debmake.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/debmake.git
+Vcs-Git: ssh://git.debian.org/git/collab-maint/debmake.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/debmake.git
 
 Package: debmake
 Architecture: all

## debmake 4.2.9

=== test/src/Makefile ===
# Generate template files of MIT license collection
# 1. Place "copyright" file from xorg-common package in the same directory
# 2. Run "make" to check sanity

PWD=$(shell pwd)

TEST_FILE ?= @1_c.txt

PYTHONPATH:=$(shell pwd)/../..
export PYTHONPATH

PATH:=$(shell pwd)/../../debmake:$(PATH)
export PATH

LC_ALL=C.UTF-8
export LC_ALL

all: test

# Please place data from SPDX in src/dspdx/*
spdx:
	for x in dspdx/* ; do \
	y=$$(basename $$x).txt; \
	: > ../$$y ;\
	echo '#%#%#%# This is copyright analyser test data by Osamu Aoki.' >> ../$$y ;\
	echo '#%#%#%# The following lines shall not be considered copyright statement.' >> ../$$y ;\
	echo '#%#%#%# ' >> ../$$y ;\
	cat   $$x >> ../$$y ;\
	done

# Please place external data in src/dpick/*
pick:
	for x in dpick/* ; do \
	y="@$$(basename $$x).txt"; \
	: > ../$$y ;\
	echo '#%#%#%# This is copyright analyser test data by Osamu Aoki.' >> ../$$y ;\
	echo '#%#%#%# The following lines shall not be considered copyright statement.' >> ../$$y ;\
	echo '#%#%#%# ' >> ../$$y ;\
	cat   $$x >> ../$$y ;\
	done

# Please place "copyright" file from xorg-common package" in src/
mit:
	@if [ ! -f copyright ]; then \
	echo "Please place "copyright" file from xorg-common package"; \
	fi
	cd .. ; \
	sed -n -e '1,47p' -e '53,$$p' src/copyright | \
	grep -v "^SGI FREE SOFTWARE LICENSE B" > copyright-clean
	cd ..; src/split copyright-clean
	rm -f ../copyright-clean

test: test-dep5

test-dep5:
	echo $$PATH
	echo $$PYTHONPATH
	cd .. ;\
	: 2> $(PWD)/../.FULL_LICENSE.STDERR; \
	(for x in $$(ls *.txt); do \
	echo "File: $$x " >&2; \
	checkdep5.py $$x 2>> $(PWD)/../.FULL_LICENSE.STDERR; \
	done ) > $(PWD)/../.FULL_LICENSE.LOG
	diff -u $(PWD)/../.FULL_LICENSE.KEEP $(PWD)/../.FULL_LICENSE.LOG > $(PWD)/../.FULL_LICENSE.DIFF
	# If different, above line returns non-zero(=ERROR) and exit
	@echo "=== SUCCESS ==="

test-id:
	echo $$PATH
	echo $$PYTHONPATH
	cd .. ;\
	: 2> $(PWD)/../.LICENSE.STDERR; \
	(for x in $$(ls *.txt); do \
	echo "File: $$x " >&2; \
	checkdep5.py -i $$x 2>> $(PWD)/../.LICENSE.STDERR; \
	done ) > $(PWD)/../.LICENSE.LOG
	diff -u $(PWD)/../.LICENSE.KEEP $(PWD)/../.LICENSE.LOG > $(PWD)/../.LICENSE.DIFF
	# If different, above line returns non-zero(=ERROR) and exit
	@echo "=== SUCCESS ==="

test1:
	echo $$PATH
	echo $$PYTHONPATH
	cd .. ;\
	echo "File: $(TEST_FILE) "; \
	checkdep5.py $(TEST_FILE)
	@echo "=== SUCCESS ==="


clean:
	rm -f $(PWD)/../.LICENSE.LOG $(PWD)/../.LICENSE.DIFF $(PWD)/../.FULL_LICENSE.STDERR

distclean: clean

=== debian/changelog ===
debmake (4.2.9-1) unstable; urgency=medium

  * Fix formatting error in manpage.

 -- Osamu Aoki <osamu@debian.org>  Wed, 07 Dec 2016 23:08:25 +0900

debmake (4.2.8-1) unstable; urgency=medium

  * Add --local option to avoid the lintian error.

 -- Osamu Aoki <osamu@debian.org>  Sun, 04 Dec 2016 01:12:24 +0900

debmake (4.2.7-1) unstable; urgency=medium

  * Skip debian/copyright for license check.
  * Remind to use licensecheck.
  * Improve pedantic mode.
  * Handle gpl with autoconf exception better.  Closes: #815621

 -- Osamu Aoki <osamu@debian.org>  Mon, 17 Oct 2016 21:04:36 +0900

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: debmake
 Section: devel
 Priority: extra
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
+Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>=9), dh-python, python3-all
-Standards-Version: 3.9.7
-Homepage: http://anonscm.debian.org/gitweb/?p=collab-maint/debmake.git
-Vcs-Git: ssh://git.debian.org/git/collab-maint/debmake.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/debmake.git
+Standards-Version: 3.9.8
+Homepage: http://anonscm.debian.org/cgit/collab-maint/debmake.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/debmake.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/debmake.git
 
 Package: debmake
 Architecture: all

## debmake 4.3.1

=== debian/changelog ===
debmake (4.3.1-1) unstable; urgency=medium

  * Remove -dbg support.  Now -dbgsym is autogenerated. 

 -- Osamu Aoki <osamu@debian.org>  Thu, 09 Aug 2018 02:00:15 +0900

debmake (4.3.0-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Prefer https URL for Format line in d/copyright. Closes: #854779
  * Bump Standards-Version to 4.1.4.
  * Apply "wrap-and-sort -abst" to debian/control file.
  * Use Salsa platform for project homepage and Vcs fields.
  * Use http URL when applicable.
  * Fix wrong upstart template name. Closes: #868986
  * Bump debamke package version to 4.3.0.
  * Remove several trailing spaces and fix typos.
  * Launch safely for undefined DEBEMAIL variable.  Closes:  #858614
  * Add quotations for directory path with space.  Closes: #867863

 -- Osamu Aoki <osamu@debian.org>  Tue, 10 Jul 2018 23:28:23 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: debmake
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>=9), dh-python, python3-all
-Standards-Version: 3.9.8
-Homepage: http://anonscm.debian.org/cgit/collab-maint/debmake.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/debmake.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/debmake.git
+Build-Depends: debhelper (>= 11~), dh-python, python3-all
+Standards-Version: 4.1.4
+Homepage: https://salsa.debian.org/debian/debmake
+Vcs-Git: https://salsa.debian.org/debian/debmake.git
+Vcs-Browser: https://salsa.debian.org/debian/debmake
 
 Package: debmake
 Architecture: all
@@ -34,7 +34,7 @@
  This package helps you to convert an upstream source package (or VCS contents)
  into the Debian package by adding files required for the Debian source
  package.  The generated debian/rules file uses the new dh command syntax from
- the debhelper (>=9) package.
+ the debhelper (>=11~) package.
  .
  The debmake command invoked in the upstream source tree without any option can
  generate files which is good enough to create a single arch=any Debian binary

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,5 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_test:
+	cd test/src ; make

## debmake 4.3.2

=== debian/changelog ===
debmake (4.3.2-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Spruce up grammar in the long description.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 09 Jul 2020 08:16:55 -0700

debmake (4.3.2-1) unstable; urgency=medium

  [Ondřej Nový]
  * d/changelog: Remove trailing whitespaces

  [VictorRodriguez]
  * Warning instead of error debmake fail due to missing shebang in setup.py

  [ Osamu Aoki ]
  * Drop incorrect statement on licensecheck.  Closes: #953724
  * Add the Upstream-Contact field. Closes: #935532
  * Add JavaScript Node.js experimental support. Closes: #954828

 -- Osamu Aoki <osamu@debian.org>  Thu, 09 Jul 2020 02:06:01 +0900

=== debian/control ===
Source: debmake
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all
Standards-Version: 4.5.0
Homepage: https://salsa.debian.org/debian/debmake
Vcs-Git: https://salsa.debian.org/debian/debmake.git
Vcs-Browser: https://salsa.debian.org/debian/debmake

Package: debmake
Architecture: all
Multi-Arch: foreign
Depends: devscripts, dpkg-dev, rsync, ${misc:Depends}, ${python3:Depends}
Recommends: build-essential, strace, wget | curl
Suggests: autotools-dev,
          ccache,
          cmake,
          cowbuilder,
          dh-autoreconf,
          dh-python,
          eatmydata,
          gem2deb,
          git,
          git-buildpackage,
          gitk,
          javahelper,
          lintian,
          mc,
          pbuilder,
          quilt,
          rpm2cpio
Description: helper script to make the Debian source package
 This package helps you to convert an upstream source package (or VCS contents)
 into a Debian package by adding files required for the Debian source
 package.  The generated debian/rules file uses the new dh command syntax from
 the debhelper (>= 11~) package.
 .
 The debmake command invoked in the upstream source tree without any option can
 generate files which are good enough to create a single arch=any Debian binary
 package for local use without touching them.  The generated files should be
 edited to make them conform to Debian policy if the package is to be
 uploaded to the Debian archive.  By adding a few options, this command can
 generate template files for the arbitrary combination of multi-binary and
 multi-arch packages, etc.  This includes making rules files for -dbg
 packages and control files for multiarch library packages.
 .
 This debmake command also scans copyright and license texts in the source
 files to help crafting the proper DEP-5 compatible debian/copyright file.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	cd test/src ; make

## debmake 4.4.0

=== test/src/Makefile ===
--- 
+++ 
@@ -2,14 +2,14 @@
 # 1. Place "copyright" file from xorg-common package in the same directory
 # 2. Run "make" to check sanity
 
-PWD=$(shell pwd)
+PWD=$(shell realpath $(shell pwd))
 
 TEST_FILE ?= @1_c.txt
 
-PYTHONPATH:=$(shell pwd)/../..
+PYTHONPATH:=$(shell realpath $(shell pwd)/../../src)
 export PYTHONPATH
 
-PATH:=$(shell pwd)/../../debmake:$(PATH)
+PATH:=$(shell realpath $(shell pwd)/../../src/debmake):$(PATH)
 export PATH
 
 LC_ALL=C.UTF-8

=== debian/changelog ===
debmake (4.4.0-4) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Enable Salsa-CI
  * Fix Lintian overrides
  * Extend manpage examples to include one in Markdown
  * Add salsa-ci.yml in extra level 1

  [ Osamu Aoki ]
  * Use raw string for 3.12 compatibility.  Closes: #1065590
  * Add d/gbp.conf

 -- Osamu Aoki <osamu@debian.org>  Sun, 10 Mar 2024 22:02:27 +0900

debmake (4.4.0-3) unstable; urgency=medium

  * Use dh-nodejs instead of pkg-js-tools

 -- Osamu Aoki <osamu@debian.org>  Mon, 30 Oct 2023 00:07:42 +0900

debmake (4.4.0-2) unstable; urgency=medium

  [ Baptiste Beauplat ]
  * Update policy version to 4.6.1

  [ Marco Mattiolo ]
  * Update LGPL-2.1+ license paragraph to really point to LGPL-2.1 or later
    (not 2.0)

  [ Akbarkhon Variskhanov ]
  * Replace linker flag --as-needed with -O1

  [ Osamu Aoki ]
  * Fix setup.cfg for src/extra0desc_long/nodejs
    Closes: #969177
  * Use "curl -O URL" instead of "curl URL"
    Closes: #1021872
  * Drop source/control
    Closes: #1028595

 -- Osamu Aoki <osamu@debian.org>  Sun, 29 Oct 2023 17:21:41 +0900

debmake (4.4.0-1) unstable; urgency=medium

  [ Osamu Aoki ]
  * New upstream release with major reorganization
    - Support new features
      * DEP-8 autopkgtest
      * DEP-12 upstream metadata
      * Support dgit-maint-merge user
      * Support Rules-Requires-Root: no
      * Update README.md
    - Update upstream packaging style
      * setuptools
      * PEP-517
      * Use static setup.cnf
      * module moved under src/
      * MANIFEST.in for proper sdist
      * Code proofed by black
  * Update Debian packaging style
    - No more gbp packaging
    - Use "main" with dgit-maint-merge workflow
    - Address Lintian issues

  [ Ben Finney ]
  * Add dependency “Suggests: debmake-doc”.  Closes: bug#1010651

 -- Osamu Aoki <osamu@debian.org>  Sat, 26 Jun 2021 19:40:44 +0900

debmake (4.3.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #969711)

 -- Paul Gevers <elbrus@debian.org>  Mon, 07 Sep 2020 08:40:24 +0200

=== debian/control ===
Source: debmake
Section: devel
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.5.1
Homepage: https://salsa.debian.org/debian/debmake
Vcs-Git: https://salsa.debian.org/debian/debmake.git
Vcs-Browser: https://salsa.debian.org/debian/debmake

Package: debmake
Architecture: all
Multi-Arch: foreign
Depends: devscripts,
         dpkg-dev,
         python3-debian,
         rsync,
         ${misc:Depends},
         ${python3:Depends}
Recommends: build-essential, strace, wget | curl
Suggests: autotools-dev,
          ccache,
          cmake,
          debmake-doc,
          dgit,
          dh-autoreconf,
          dh-python,
          eatmydata,
          gem2deb,
          git,
          git-buildpackage,
          gitk,
          javahelper,
          lintian,
          mc,
          quilt,
          rpm2cpio,
          sbuild
Description: helper script to make the Debian source package
 This package helps you to convert an upstream source package (or VCS contents)
 into the Debian package by adding files required for the Debian source
 package.  The generated debian/rules file uses the new dh command syntax from
 the debhelper (>=11~) package.
 .
 The debmake command invoked in the upstream source tree without any option can
 generate files which is good enough to create a single arch=any Debian binary
 package for local use without touching them.  The generated files should be
 edited to make it conform to the Debian policy if the package is to be
 uploaded to the Debian archive.  By adding few options, this command can
 generate template files for the arbitrary combination of the multi-binary and
 multi-arch package, etc.  This includes making of the rules file for the -dbg
 package and the control file for the multiarch library package.
 .
 This debmake command also scans copyright and license texts in the source
 files to help crafting the proper DEP-5 compatible debian/copyright file.

## debmake 4.5.0

=== debian/changelog ===
debmake (4.5.0-1) unstable; urgency=medium

  * release new upstream with pyright conformance
  * update pyproject.toml of debmake package
    * remove setup.py, setup.cfg
  * reorganize source tree
    * all data in a subdirectory
      * all data = .txt
      * all shell = .sh (more robust)
    * remove left-over d/compat support
    * remove Python distutils support
    * add Python pyproject.toml etc. support
    * update, reorganize, and add template files
    * remove old -x4 option support and add new -x4
    * add .ex suffix through script for -x3 and -x4
    * update watch file version 4
    * update policy version 4.6.2
    * update debhelper v13
  * add automatic -z setting feature
  * black formatted
  * update manpage

 -- Osamu Aoki <osamu@debian.org>  Sun, 28 Jul 2024 01:09:04 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all,
-               python3-setuptools
-Standards-Version: 4.5.1
+               dh-sequence-single-binary,
+               pybuild-plugin-pyproject,
+               python3
+Standards-Version: 4.7.0
 Homepage: https://salsa.debian.org/debian/debmake
 Vcs-Git: https://salsa.debian.org/debian/debmake.git
 Vcs-Browser: https://salsa.debian.org/debian/debmake
@@ -28,6 +28,7 @@
           dgit,
           dh-autoreconf,
           dh-python,
+          dh-sequence-single-binary,
           eatmydata,
           gem2deb,
           git,
@@ -36,6 +37,8 @@
           javahelper,
           lintian,
           mc,
+          pybuild-plugin-pyproject,
+          python3-build,
           quilt,
           rpm2cpio,
           sbuild
@@ -43,7 +46,7 @@
  This package helps you to convert an upstream source package (or VCS contents)
  into the Debian package by adding files required for the Debian source
  package.  The generated debian/rules file uses the new dh command syntax from
- the debhelper (>=11~) package.
+ the debhelper (>=13~) package.
  .
  The debmake command invoked in the upstream source tree without any option can
  generate files which is good enough to create a single arch=any Debian binary

## debmake 4.5.1

=== debian/changelog ===
debmake (4.5.1-2) unstable; urgency=medium

  * Team upload.

  [ Otto Kekäläinen ]
  * Improve the gbp.conf template

  [ Andrew Kreimer ]
  * Fix typos

  [ Agustin Martin ]
  * Build-Depend on python3-setuptools (Closes: #1100208)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 10 Apr 2025 13:36:47 +0200

debmake (4.5.1-1) unstable; urgency=medium

  * Use "wrap-and-sort -vast" in debmake
  * Package updated with "wrap-and-sort -vast"

 -- Osamu Aoki <osamu@debian.org>  Thu, 28 Nov 2024 18:17:27 +0900

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-single-binary,
-               pybuild-plugin-pyproject,
-               python3
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-single-binary,
+ pybuild-plugin-pyproject,
+ python3,
+ python3-setuptools,
 Standards-Version: 4.7.0
 Homepage: https://salsa.debian.org/debian/debmake
 Vcs-Git: https://salsa.debian.org/debian/debmake.git
@@ -14,34 +16,39 @@
 Package: debmake
 Architecture: all
 Multi-Arch: foreign
-Depends: devscripts,
-         dpkg-dev,
-         python3-debian,
-         rsync,
-         ${misc:Depends},
-         ${python3:Depends}
-Recommends: build-essential, strace, wget | curl
-Suggests: autotools-dev,
-          ccache,
-          cmake,
-          debmake-doc,
-          dgit,
-          dh-autoreconf,
-          dh-python,
-          dh-sequence-single-binary,
-          eatmydata,
-          gem2deb,
-          git,
-          git-buildpackage,
-          gitk,
-          javahelper,
-          lintian,
-          mc,
-          pybuild-plugin-pyproject,
-          python3-build,
-          quilt,
-          rpm2cpio,
-          sbuild
+Depends:
+ devscripts,
+ dpkg-dev,
+ python3-debian,
+ rsync,
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ build-essential,
+ strace,
+ wget | curl,
+Suggests:
+ autotools-dev,
+ ccache,
+ cmake,
+ debmake-doc,
+ dgit,
+ dh-autoreconf,
+ dh-python,
+ dh-sequence-single-binary,
+ eatmydata,
+ gem2deb,
+ git,
+ git-buildpackage,
+ gitk,
+ javahelper,
+ lintian,
+ mc,
+ pybuild-plugin-pyproject,
+ python3-build,
+ quilt,
+ rpm2cpio,
+ sbuild,
 Description: helper script to make the Debian source package
  This package helps you to convert an upstream source package (or VCS contents)
  into the Debian package by adding files required for the Debian source

=== debian/rules ===
#!/usr/bin/make -f
# uncomment to enable verbose mode for debhelper
#DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	cd test/src ; make
endif

override_dh_auto_install:
	dh_auto_install --destdir debian/debmake
	# These are not for general use (for debug only)
	mkdir -p debian/debmake/usr/lib/debmake
	mv debian/debmake/usr/bin/debmake-lc debian/debmake/usr/lib/debmake/debmake-lc
	mv debian/debmake/usr/bin/debmake-dep5 debian/debmake/usr/lib/debmake/debmake-dep-5

=== debian/watch ===
version=4
opts="mode=git" \
 https://salsa.debian.org/debian/debmake.git \
 refs/tags/upstream/([\d\.]+) debian
# debmake is packaged as a non-native package
# 1. debian/changelog records changes with <upstream_version>-1
# 2. Temporary branch is created and commit w/o debian/* as tag=upstream/<upstream_version>
# 3. Upstream tarball generated by "git deborig"
# 4. Switch back to main branch and test build "sbuild"
# 5. dgit push-source



########## OLD ############
#opts=filenamemangle=s/.*?\/(\d\S+)\/archive\.tar\.gz/debmake-$1\.tar\.gz/ \
# https://salsa.debian.org/debian/debmake/tags .*?(\d\S+)/archive\.tar\.gz

## debmake 4.5.2

=== debian/changelog ===
debmake (4.5.2) unstable; urgency=medium

  [ Loren M. Lang ]
  * Fix escape sequences for Python 3.12 (Closes: #1065590)
  * Added config for git-buildpackage to use correct branches

  [ Otto Kekäläinen ]
  * Extend the gbp.conf example to be more complete at default level

  [ Osamu Aoki ]
  * Fix project.license
  * Use /usr/lib/debmake/debmake-dep5 as filename
  * Convert to native package
  * Update lintian overrides

 -- Osamu Aoki <osamu@debian.org>  Sun, 04 Jan 2026 22:43:03 +0900

## debmake 4.5.3

=== debian/changelog ===
debmake (4.5.3) unstable; urgency=medium

  [ Bastian Germann ]
  * Drop deprecated BSD license reference (Closes: #1121378)

 -- Osamu Aoki <osamu@debian.org>  Tue, 06 Jan 2026 13:56:36 +0900

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	# These are not for general use (for debug only)
 	mkdir -p debian/debmake/usr/lib/debmake
 	mv debian/debmake/usr/bin/debmake-lc debian/debmake/usr/lib/debmake/debmake-lc
-	mv debian/debmake/usr/bin/debmake-dep5 debian/debmake/usr/lib/debmake/debmake-dep-5
+	mv debian/debmake/usr/bin/debmake-dep5 debian/debmake/usr/lib/debmake/debmake-dep5

## debmake 4.5.4

=== debian/changelog ===
debmake (4.5.4) unstable; urgency=medium

  * update d/upstream/metadata (Closes: #1092184)

 -- Osamu Aoki <osamu@debian.org>  Fri, 09 Jan 2026 21:01:39 +0900

## debmake 5.0.0

=== debian/changelog ===
debmake (5.0.0) unstable; urgency=medium

  * black+isort
  * Remove unused code and data
  * Rename scanfiles.py -> scanext.py
  * Reorganize template files in data/*
  * Refactor src/debmake/*.py (Closes: #1090069, #924658, #1090070, #1124821)
  * Update packaging and documentation

 -- Osamu Aoki <osamu@debian.org>  Fri, 16 Jan 2026 22:59:08 +0900

## debmake 5.0.1

=== debian/tests/test-runs/Makefile ===
#
# This is used for manual testing
#
DEBUG = spd
export DEBUG

all:
	mkdir foo10 ; cd foo10 ; echo "FOO" >FOO ; debmake -p debhello -u 1.0 -n -T -x0
	mkdir foo11 ; cd foo11 ; echo "FOO" >FOO ; debmake -p debhello -u 1.1 -n -T -x1
	mkdir foo12 ; cd foo12 ; echo "FOO" >FOO ; debmake -p debhello -u 1.2 -n -T -x2
	mkdir foo13 ; cd foo13 ; echo "FOO" >FOO ; debmake -p debhello -u 1.3 -n -T -x3
	mkdir foo14 ; cd foo14 ; echo "FOO" >FOO ; debmake -p debhello -u 1.4 -n -T -x4
	mkdir foo20 ; cd foo20 ; echo "FOO" >FOO ; debmake -p debhello -y -u 2.0 -r 1 -t -T -x0
	mkdir foo21 ; cd foo21 ; echo "FOO" >FOO ; debmake -p debhello -y -u 2.1 -r 1 -t -T -x1
	mkdir foo22 ; cd foo22 ; echo "FOO" >FOO ; debmake -p debhello -y -u 2.2 -r 1 -t -T -x2
	mkdir foo23 ; cd foo23 ; echo "FOO" >FOO ; debmake -p debhello -y -u 2.3 -r 1 -t -T -x3
	mkdir foo24 ; cd foo24 ; echo "FOO" >FOO ; debmake -p debhello -y -u 2.4 -r 1 -t -T -x4
	mkdir foo32 ; cd foo32 ; echo "FOO" >FOO ; debmake -p debhello -y -u 3.2 -r 1 -t -T -x2 -b"-,-doc,libdebhello1,libdebhello1-dev"

clean:
	rm -rf foo*
	rm -rf debhello*

=== debian/changelog ===
debmake (5.0.1) unstable; urgency=medium

  * Fix project/ with -u error
  * More test case

 -- Osamu Aoki <osamu@debian.org>  Tue, 20 Jan 2026 00:31:33 +0900

## debmake 5.0.2

=== debian/tests/test-runs/Makefile ===
#
# This is used for manual testing
#
DEBUG = spd
export DEBUG

all:
	mkdir foo10 ; cd foo10 ; echo "FOO" >FOO ; debmake -p debhello -u 1.0 -n -x0
	mkdir foo11 ; cd foo11 ; echo "FOO" >FOO ; debmake -p debhello -u 1.1 -n -x1
	mkdir foo12 ; cd foo12 ; echo "FOO" >FOO ; debmake -p debhello -u 1.2 -n -x2
	mkdir foo13 ; cd foo13 ; echo "FOO" >FOO ; debmake -p debhello -u 1.3 -n -x3
	mkdir foo14 ; cd foo14 ; echo "FOO" >FOO ; debmake -p debhello -u 1.4 -n -x4
	mkdir foo20 ; cd foo20 ; echo "FOO" >FOO ; debmake -p debhello -y -u 2.0 -r 1 -t -x0
	mkdir foo21 ; cd foo21 ; echo "FOO" >FOO ; debmake -p debhello -y -u 2.1 -r 1 -t -x1
	mkdir foo22 ; cd foo22 ; echo "FOO" >FOO ; debmake -p debhello -y -u 2.2 -r 1 -t -x2
	mkdir foo23 ; cd foo23 ; echo "FOO" >FOO ; debmake -p debhello -y -u 2.3 -r 1 -t -x3
	mkdir foo24 ; cd foo24 ; echo "FOO" >FOO ; debmake -p debhello -y -u 2.4 -r 1 -t -x4
	mkdir foo32 ; cd foo32 ; echo "FOO" >FOO ; debmake -p debhello -y -u 3.2 -r 1 -t -x2 -b"-,-doc,libdebhello1,libdebhello1-dev"

clean:
	rm -rf foo*
	rm -rf debhello*

=== debian/changelog ===
debmake (5.0.2) unstable; urgency=medium

  * Enable auto-pkgtest
  * regrex bugfix sanity.py
  * Remove --tutorial option
  * Refactor code for reducing template data files
  * Simplify src/debmake/data/* (Closes: #948844)

 -- Osamu Aoki <osamu@debian.org>  Tue, 20 Jan 2026 23:36:55 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  pybuild-plugin-pyproject,
  python3,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://salsa.debian.org/debian/debmake
 Vcs-Git: https://salsa.debian.org/debian/debmake.git
 Vcs-Browser: https://salsa.debian.org/debian/debmake
@@ -17,8 +17,10 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ dpkg-dev,
  devscripts,
- dpkg-dev,
+ licensecheck,
+ licenserecon,
  python3-debian,
  rsync,
  ${misc:Depends},
@@ -28,14 +30,14 @@
  strace,
  wget | curl,
 Suggests:
+ dh-autoreconf,
+ dh-python,
+ dh-sequence-single-binary,
  autotools-dev,
  ccache,
  cmake,
  debmake-doc,
  dgit,
- dh-autoreconf,
- dh-python,
- dh-sequence-single-binary,
  eatmydata,
  gem2deb,
  git,

=== debian/tests/control ===
Tests:
 testcode1.sh,
 testcode2.sh,
 testcode3.sh,
 testcode31.sh,
 testcode32.sh,
 testcode33.sh,
 testcode34.sh,
 testcode35.sh,
 testcode36.sh,
 testcode4.sh,
 testcode5.sh,
 testcode6.sh,

## debmake 5.1.0

=== debian/changelog ===
debmake (5.1.0) unstable; urgency=medium

  * Simplification of CLI (drop -a/-d/-c/-j/-t/-T/ ... options)
  * Support remote git repository and tarball generation
  * Major refactor of code

 -- Osamu Aoki <osamu@debian.org>  Thu, 29 Jan 2026 19:07:54 +0900

=== debian/control ===
--- 
+++ 
@@ -20,13 +20,13 @@
  dpkg-dev,
  devscripts,
  licensecheck,
- licenserecon,
  python3-debian,
  rsync,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
  build-essential,
+ licenserecon,
  strace,
  wget | curl,
 Suggests:

## debmake 5.1.1

=== debian/changelog ===
debmake (5.1.1) unstable; urgency=medium

  * Fix typo in manpage
  * demote d/s/local-options and d/s/local-patch-header
  * Set fall back value to para["option_z"] (Closes: #1126868)

 -- Osamu Aoki <osamu@debian.org>  Tue, 03 Feb 2026 12:10:05 +0900

=== debian/rules ===
#!/usr/bin/make -f
# uncomment to enable verbose mode for debhelper
#DH_VERBOSE = 1

%:
	# standard package build for python script
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_clean:
	# rudimentary syntax check
	for f in src/debmake/*.py ; do echo " ... testing $$f" ; python3 -m py_compile $$f || exit 1; done
	dh_auto_clean -O--buildsystem=pybuild
endif

override_dh_auto_install:
	dh_auto_install --destdir debian/debmake

## debmake 5.1.2

=== debian/changelog ===
debmake (5.1.2) unstable; urgency=medium

  * Add sanity check
  * Bump hard coded version to 5.1.2

 -- Osamu Aoki <osamu@debian.org>  Tue, 03 Feb 2026 08:15:05 +0000

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,9 @@
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_clean:
-	# rudimentary syntax check
-	for f in src/debmake/*.py ; do echo " ... testing $$f" ; python3 -m py_compile $$f || exit 1; done
+	# rudimentary code check before doing anything
+	debian/sanity.sh
+	# normal dh_auto_clean
 	dh_auto_clean -O--buildsystem=pybuild
 endif

## debmake 5.1.3

=== debian/changelog ===
debmake (5.1.3) unstable; urgency=medium

  * Update -u -r -z -D options
  * Fix pyproject.toml and debian/sanity.sh

 -- Osamu Aoki <osamu@debian.org>  Sun, 08 Feb 2026 11:20:52 +0900

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  devscripts,
  licensecheck,
  python3-debian,
- rsync,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## debmake 5.1.4

=== debian/changelog ===
debmake (5.1.4) unstable; urgency=medium

  * Make version check script to allow building for CI test
    and not to interfere with NMU.

 -- Osamu Aoki <osamu@debian.org>  Wed, 11 Feb 2026 16:34:35 +0900

## debmake 5.1.5

=== debian/changelog ===
debmake (5.1.5) unstable; urgency=medium

  * Proof shell code for quotation (Closes: #1003106)

 -- Osamu Aoki <osamu@debian.org>  Sat, 14 Feb 2026 13:07:12 +0900

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,9 @@
 Tests:
  testcode1.sh,
  testcode2.sh,
+ testcode21.sh,
+ testcode22.sh,
+ testcode23.sh,
  testcode3.sh,
  testcode31.sh,
  testcode32.sh,
